# spacepy.empiricals.getSolarProtonSpectra

`spacepy.empiricals.``getSolarProtonSpectra`(norm=32000000.0, gamma=- 0.96, E0=15.0, Emin=0.1, Emax=600, nsteps=100)

  Returns a SpaceData with energy and fluence spectra of solar particle events

  The formulation follows that of: Ellison and Ramaty ApJ 298: 400-408, 1985 dJ/dE = K^{-gamma}exp(-E/E0)

  and the defualt values are the 10/16/2003 SEP event of: Mewaldt, R. A., et al. (2005), J. Geophys. Res., 110, A09S18, doi:10.1029/2005JA011038.

  Returns
    data dm.SpaceData

      SpaceData with the energy and fluence values

  Other Parameters
    norm float

      Normilization factor for the intensity of the SEP event

    gamma float

      Power law index

    E0 float

      Expoential scaling factor

    Emin float

      Minimum energy for fit

    Emax float

      Maximum energy for fit

    nsteps int

      The number of log spaced energy steps to return